Subject: Re: Calculating virtual address from physical address

From: Eugene Surovegin <[email-masked]>
Date: Wed, 10 May 2006 09:43:29 -0700

On Wed, May 10, 2006 at 07:04:30AM -0400, David H. Lynch Jr. wrote:

[skip]

>     Unless I am completely mistaken, machine checks are not cause by
> softwded are or programming errors, they are cause by hardware problems,

You can trivially trigger MachineChecks without any hardware problems 
- just map some non-existent physical address and try to access it.

-- 
Eugene